#
# spec file for package sipp
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sipp
Version:        3.5.2
Release:        bp153.1.16
Summary:        A SIP protocol testing tool
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Other
URL:            https://github.com/SIPp/sipp
Source:         https://github.com/SIPp/sipp/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  help2man
BuildRequires:  libpcap-devel
BuildRequires:  lksctp-tools-devel
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(libssl)

%description
Sipp is a performance testing tool for the SIP protocol. Its main features are
basic SIPStone scenarios, TCP/UDP transport, customizable (xml based) scenarios,
dynamic adjustement of call-rate and a comprehensive set of real-time
statistics.

%prep
%setup -q

%build
autoreconf -fiv
%configure --with-pcap --with-sctp --with-openssl --with-gsl --with-rtpstream
make %{?_smp_mflags}

%install
%make_install

%files
%doc CHANGES.md FAQ.md README.md THANKS
%license LICENSE.txt
%{_bindir}/%{name}
%{_mandir}/man1/sipp.1%{?ext_man}

%changelog
* Sun Jul 29 2018 mardnh@gmx.de
- Fix license
* Wed Jul 18 2018 mardnh@gmx.de
- Update to version 3.5.2
  * Fix lots of build issues, mainly with ncurses/curses/tinfo
    and openssl.
  * Better parsing of Contact header. (Issue #234.)
  * Proper retrying of media ports during startup. (Issue #276.)
- Remove patch:
  * sipp-3.5.1-ncurses-ssl.patch (fixed upstream)
* Wed Apr  4 2018 jamesp@vicidial.com
- Made new ncurses/openssl patch for Leap 15.0
- Modified spec file to generate man page
- removed old ncurses patch: sipp-3.5.1-ncurses.patch
* Wed Apr  4 2018 jamesp@vicidial.com
- Update to SIPp v.3.5.1
- Remove old ncurses patch: sipp-3.3-ncurses.patch
- Make new ncurses patch: sipp-3.5.1-ncurses.patch
- Update spec file to a more modern standard
* Sun Jun 23 2013 reddwarf@opensuse.org
- Update to 3.3
* Thu Aug 12 2010 reddwarf@opensuse.org
- Initial package
